﻿using Newtonsoft.Json;
using System;
using System.Text;
using System.Windows.Forms;

namespace LicenseGenApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnCopy_Click(object sender, EventArgs e)
        {
            Clipboard.SetDataObject(this.txtLicenseKey.Text);
        }

        private void btnGenerator_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(this.txtActive.Text))
            {
                MessageBox.Show("Please enter your Activation Code!");
                return;
            }
            var activeCode = Base64Encode(this.txtActive.Text.Trim());
            var days = (int)this.nudDays.Value;
            var keyModel = new ActiveModel
            {
                ActiveCode = activeCode,
                Days = days,
                Begin = DateTime.Now,
                End = DateTime.Now.AddDays(days)
            };

            var keyStr= JsonConvert.SerializeObject(keyModel);
            this.txtLicenseKey.Text=Base64Encode(keyStr);
        }

        public string Base64Encode(string str)
        {
            var bytes = Encoding.UTF8.GetBytes(str);
            return Convert.ToBase64String(bytes);
        }
    }

    public class ActiveModel
    {
        public string ActiveCode { get; set; }
        public int Days { get; set; }
        public DateTime Begin { get; set; }
        public DateTime End { get; set; }

    }
}
