﻿using Krypton.Toolkit;
using Sqlite.Db;
using Sqlite.Db.Model;
using System;
using System.Diagnostics;
using System.Linq;
using System.Windows.Forms;
using WaMarketProApp.Utils;

namespace WaMarketProApp
{
    public partial class FrmAuth : KryptonForm
    {
        private IRepositoryService<LicenseModel> service = new RepositoryService<LicenseModel>();
        public string Msg { get; set; }
        public FrmAuth()
        {
            InitializeComponent();
        }

        private  void btnAuth_Click(object sender, EventArgs e)
        {
            var authKey = this.txtPurchaseCode.Text.Trim();
            if (string.IsNullOrEmpty(authKey))
            {
                KryptonMessageBox.Show("Please enter your license key!", "Info",
                    MessageBoxButtons.OK, KryptonMessageBoxIcon.Error, showCtrlCopy: false);
                return;
            }
            else
            {
                try
                {

                    this.btnAuth.Enabled = false;
                    var result = AuthUtils.SaveLicenseKey(this.txtPurchaseCode.Text.Trim());
                    if (result)
                    {
                        KryptonMessageBox.Show("Authorized successfully!", "Info",
                                 MessageBoxButtons.OK, KryptonMessageBoxIcon.Information, showCtrlCopy: false);
                        this.Hide();
                        new FrmMain().ShowDialog();
                    }
                    else
                    {
                        KryptonMessageBox.Show("Auth Fail!please check DeviceId!", "Info",
                        MessageBoxButtons.OK, KryptonMessageBoxIcon.Warning, showCtrlCopy: false);
                    }

                }
                catch (Exception ex)
                {
                    KryptonMessageBox.Show(ex.Message, "Info",
                      MessageBoxButtons.OK, KryptonMessageBoxIcon.Error, showCtrlCopy: false);
                }
                finally
                {
                    this.btnAuth.Enabled = true;
                }

            }
        }

        private void FrmAuth_Load(object sender, EventArgs e)
        {
            this.labMsg.Text = this.Msg;
            this.txtDeviceId.Text = AuthUtils.GenerateUniqueId();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void FrmAuth_FormClosed(object sender, FormClosedEventArgs e)
        {
            if (e.CloseReason == CloseReason.UserClosing)
            {
                Application.Exit();
            }
            else
            {

            }
        }

        private void btnHelp_Click(object sender, EventArgs e)
        {
            var url = "https://api.whatsapp.com/send?phone=13156299582";
            Process.Start(url);
        }

        private void btnCopy_Click(object sender, EventArgs e)
        {
            Clipboard.SetDataObject(this.txtDeviceId.Text);
        }
    }
}
