﻿using Newtonsoft.Json;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using WaMarketProApp.Model;

namespace WaMarketProApp.Utils
{
    public class LangUtils
    {
        public static string LangKey = "en";
        private static List<LangModel> rList = new List<LangModel>();

        private static List<LangModel> GetAllLang()
        {
            if (rList.Count == 0)
            {
                rList = GetLangFrom();
            }
            return rList;
        }
        private static List<LangModel> GetLangFrom()
        {
            var list = new List<LangModel>();
            string targetPath = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
            var path = Path.Combine(targetPath, "lang");
            if (Directory.Exists(path))
            {
                var files = Directory.GetFiles(path);
                foreach (var file in files)
                {
                    var str = File.ReadAllText(file, Encoding.UTF8);
                    if (!string.IsNullOrEmpty(str))
                    {
                        var model = JsonConvert.DeserializeObject<LangModel>(str);
                        list.Add(model);
                    }
                }
            }
            return list;
        }

        public static LangModel GetLang()
        {
            var list = GetAllLang();
            return list.FirstOrDefault(s => s.Key == LangKey);
        }
    }
}
